# $Id$

Name: verfploeter_plotter
Version: 0.1
Release: 1
Summary: Plot anycast maps from Verfploeter
Group: Development/Tools
Packager: ANT Group
Vendor: ANT Group
Source: %{name}-%{version}-%{release}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
License: GNU GPL Version 2

Requires: bash
Requires: python3
Requires: python3-pyproj
Requires: python3-basemap
Requires: perl-Fsdb

Prefix: /usr

%description
This tool generates anycast mapping from Verfploeter (or anything similar) 
outputs.  It takes as input pcap files or tab-delimeted (fsdb) text files.
Each anycast site should have a pcap or fsdb file.
The default base directory is at current working directory.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{source}

%setup -q -n %{name}-%{version}-%{release} 

%install
%makeinstall 

%clean
make uninstall prefix=%{buildroot}%{_prefix}

%files 
%{_bindir}/*
%{_prefix}/share/doc/verfploer_plotter/*

%changelog
* Thu Oct 24 2019 yuri <yuri@isi.edu>
- version 0.1, first release

